[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# NetAddrToStr6

Convert a IPV6 network address to a string.

## Declaration

Source position: socketsh.inc line 209

`function NetAddrToStr6(`
`Entry: Tin6_addr`
`):AnsiString;`

## Description

NetAddrToStr6 converts the IPV6 network address in Entry to a string representation in human-readable form.

Basically, it is the same as NetAddrToStr6, but with the bytes in correct order.

## See also

NetAddrToStr |  | Convert a network address to a string.
StrToHostAddr |  | Convert a string to a host address.
StrToNetAddr |  | Convert a string to a network address.
StrToHostAddr6 |  | Convert a string to a IPV6 host address.